> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-class-management/data-class.md).

# Data Class

Management of `Data Classes`.

## Find Data Classes

> Finds \`Data Classes\` based on the provided criteria.\
> \
> By default, this endpoint returns a \`basic\` description of the \`Data Classes\` that does not include the details of the \`Classification Rules\`. \
> To retrieve the extended view of the \`Data Classes\` that includes the \`Classification Rules\`, you can pass the \`view=extended\` parameter.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}},"DataClassStatus":{"name":"status","in":"query","description":"Applies a filter based on the `status` of the `Data Classes`.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n\nIf multiple `status` parameters are provided, the `Data Classes` matching any `status` defined\nas parameter are taken into account (OR logic).\n","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true},"DataClassContainsRules":{"name":"containsRules","in":"query","description":"Filters the `Data Classes` based on whether or not they contain rules.\n\nIf `containsRules=true` is defined as parameter, only the `Data Classes` containing rules are returned.\nThis can be useful to retrieve only the `Data Classes` that can be used for automated classification.\n","required":false,"schema":{"type":"boolean"}},"RuleType":{"name":"ruleType","in":"query","required":false,"description":"Filter based on the `ruleType` of `Classification Rules` defined inside the `Data Class`.\nMultiple `ruleType` parameters can be provided.\nIn this case, the API returns the `DataClasses` containing rules matching any of the defined types (OR logic).\n\nThe following values are currently supported:\n- `REGULAR_EXPRESSION`\n- `REGULAR_EXPRESSION_COLUMN_NAME`\n- `DATA_TYPE`\n- `LIST_OF_VALUES`\n- `CODE_SET`\n- `LIKE`\n- `GREATER_THAN`\n- `LESS_THAN`\n- `EQUAL`\n- `BETWEEN`\n","schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true},"DataClassName":{"name":"name","in":"query","description":"The name of a `Data Class`.\n\nThe matching logic is case insensitive and supports partial matches.\n\nE.g. A search for `EMAIL` matches `Data Class` name `Email Address`\n\nE.g. A search for `Security` matches `Data Class` name `Social-Security-Number`\n","required":false,"schema":{"type":"string"}},"DataClassDescription":{"name":"description","in":"query","description":"The description of a `Data Class`.\n\nThe matching logic is case insensitive and supports partial matches.\n","required":false,"schema":{"type":"string"}},"DataClassGroupId":{"name":"dataClassGroupId","in":"query","description":"The ID of a `Data Class Group`.\n","required":false,"schema":{"type":"string","format":"uuid"}},"Offset":{"name":"offset","in":"query","required":false,"description":"The index of the first result to retrieve.\n\nIf not set (offset = `0`), results will be retrieved starting from row `0`.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","required":false,"description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = `50`) will be used. The maximum value for this parameter is\n`1000`.\n","schema":{"type":"integer","format":"int32","default":50,"maximum":1000}},"DataClassView":{"name":"view","in":"query","required":false,"description":"The view of the `Data Class` to return. \n\nPossible values are `basic` or `extended` (case insensitive). The `basic` view does not include the rules, whereas the `extended` view does.\n","schema":{"type":"string","default":"basic"}}},"schemas":{"DataClassPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results."},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/DataClass"}}}},"DataClass":{"type":"object","required":["id","name","status","allowNullValues","allowEmptyValues","confidenceThreshold","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/DataClassId"},"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"DataClassName":{"type":"string","description":"Name of the `Data Class`.\n"},"DataClassDescription":{"type":"string","description":"The description of the `Data Class`. The maximum length of this field is set to 10,000 characters.\n"},"DataClassStatus":{"type":"string","description":"The status of a `Data Class`.\n\nThis attribute allows a `Data Class` to be `ENABLED` or `DISABLED`.\nAn `DISABLED` `Data Class` will never be used as part of the classification process.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n"},"ColumnNameFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` is considered only if the column name is a full or partial match with the value of this property.\n\nIt is not case sensitive and it is using a text match (not a regular expression).\n\nAny match will make the `Data Class` considered.\n"},"ColumnTypeFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` can only be considered if the column technical data type is part of the values defined for this property.\n\nValid values are: `string`, `double`, `int`, `boolean`, `date`, and `timestamp`.\n"},"AllowNullValues":{"type":"boolean","description":"If the value is set to `true`, null values are considered when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-null values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"AllowEmptyValues":{"type":"boolean","description":"If the value is set to `true`, empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"ConfidenceThreshold":{"type":"integer","description":"The Data Class is only considered in the result if this confidence threshold is reached.","default":0,"minimum":0,"maximum":100},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the `Data Class`.\n","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses":{"get":{"tags":["Data Class"],"summary":"Find Data Classes","description":"Finds `Data Classes` based on the provided criteria.\n\nBy default, this endpoint returns a `basic` description of the `Data Classes` that does not include the details of the `Classification Rules`. \nTo retrieve the extended view of the `Data Classes` that includes the `Classification Rules`, you can pass the `view=extended` parameter.\n","operationId":"findDataClasses","parameters":[{"$ref":"#/components/parameters/CorrelationId"},{"$ref":"#/components/parameters/DataClassStatus"},{"$ref":"#/components/parameters/DataClassContainsRules"},{"$ref":"#/components/parameters/RuleType"},{"$ref":"#/components/parameters/DataClassName"},{"$ref":"#/components/parameters/DataClassDescription"},{"$ref":"#/components/parameters/DataClassGroupId"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/DataClassView"}],"responses":{"200":{"description":"`Data Classes` successfully retrieved.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassPagedResponse"}}}},"400":{"description":"Invalid request to find `Data Classes`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Create a Data Class

> Creates a \`Data Class\`.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"AddDataClassRequest":{"type":"object","description":"Request to create a `Data Class`. Only the `name` property is mandatory when creating a new `Data Class`.\n","required":["name"],"properties":{"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"}}},"DataClassName":{"type":"string","description":"Name of the `Data Class`.\n"},"DataClassDescription":{"type":"string","description":"The description of the `Data Class`. The maximum length of this field is set to 10,000 characters.\n"},"DataClassStatus":{"type":"string","description":"The status of a `Data Class`.\n\nThis attribute allows a `Data Class` to be `ENABLED` or `DISABLED`.\nAn `DISABLED` `Data Class` will never be used as part of the classification process.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n"},"ColumnNameFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` is considered only if the column name is a full or partial match with the value of this property.\n\nIt is not case sensitive and it is using a text match (not a regular expression).\n\nAny match will make the `Data Class` considered.\n"},"ColumnTypeFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` can only be considered if the column technical data type is part of the values defined for this property.\n\nValid values are: `string`, `double`, `int`, `boolean`, `date`, and `timestamp`.\n"},"AllowNullValues":{"type":"boolean","description":"If the value is set to `true`, null values are considered when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-null values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"AllowEmptyValues":{"type":"boolean","description":"If the value is set to `true`, empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"ConfidenceThreshold":{"type":"integer","description":"The Data Class is only considered in the result if this confidence threshold is reached.","default":0,"minimum":0,"maximum":100},"DataClass":{"type":"object","required":["id","name","status","allowNullValues","allowEmptyValues","confidenceThreshold","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/DataClassId"},"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the `Data Class`.\n","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses":{"post":{"summary":"Create a Data Class","description":"Creates a `Data Class`.\n","operationId":"addDataClass","parameters":[{"$ref":"#/components/parameters/CorrelationId"}],"tags":["Data Class"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddDataClassRequest"}}}},"responses":{"201":{"description":"`Data Class` successfully created.\n","headers":{"Location":{"description":"Reference to the newly created Data Class","schema":{"type":"string","format":"url"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClass"}}}},"400":{"description":"Invalid request to create a `Data Class`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Find Data Classes

> Finds \`Data Classes\` from a list of IDs.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}},"DataClassView":{"name":"view","in":"query","required":false,"description":"The view of the `Data Class` to return. \n\nPossible values are `basic` or `extended` (case insensitive). The `basic` view does not include the rules, whereas the `extended` view does.\n","schema":{"type":"string","default":"basic"}}},"schemas":{"DataClassIds":{"type":"array","description":"IDs of the `Data Classes` contained in the `Data Class Group`.\n","items":{"$ref":"#/components/schemas/DataClassId"}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"DataClass":{"type":"object","required":["id","name","status","allowNullValues","allowEmptyValues","confidenceThreshold","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/DataClassId"},"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"DataClassName":{"type":"string","description":"Name of the `Data Class`.\n"},"DataClassDescription":{"type":"string","description":"The description of the `Data Class`. The maximum length of this field is set to 10,000 characters.\n"},"DataClassStatus":{"type":"string","description":"The status of a `Data Class`.\n\nThis attribute allows a `Data Class` to be `ENABLED` or `DISABLED`.\nAn `DISABLED` `Data Class` will never be used as part of the classification process.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n"},"ColumnNameFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` is considered only if the column name is a full or partial match with the value of this property.\n\nIt is not case sensitive and it is using a text match (not a regular expression).\n\nAny match will make the `Data Class` considered.\n"},"ColumnTypeFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` can only be considered if the column technical data type is part of the values defined for this property.\n\nValid values are: `string`, `double`, `int`, `boolean`, `date`, and `timestamp`.\n"},"AllowNullValues":{"type":"boolean","description":"If the value is set to `true`, null values are considered when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-null values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"AllowEmptyValues":{"type":"boolean","description":"If the value is set to `true`, empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"ConfidenceThreshold":{"type":"integer","description":"The Data Class is only considered in the result if this confidence threshold is reached.","default":0,"minimum":0,"maximum":100},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the `Data Class`.\n","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses/find":{"post":{"summary":"Find Data Classes","description":"Finds `Data Classes` from a list of IDs.","operationId":"getDataClassesByIds","parameters":[{"$ref":"#/components/parameters/CorrelationId"},{"$ref":"#/components/parameters/DataClassView"}],"tags":["Data Class"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClassIds"}}}},"responses":{"200":{"description":"`Data Classes` successfully retrieved.\n","content":{"application/json":{"schema":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/DataClass"}}}}},"400":{"description":"Invalid request to find `Data Classes`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Get a Data Class

> Get a single \`Data Class\` by its identifier.\
> \
> By default, this endpoint returns a \`basic\` description of the \`Data Classes\` that does not include the details of the \`Classification Rules\`. \
> To retrieve the extended view of the \`Data Classes\` that includes the \`Classification Rules\`, you can pass the \`view=extended\` parameter.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}},"DataClassView":{"name":"view","in":"query","required":false,"description":"The view of the `Data Class` to return. \n\nPossible values are `basic` or `extended` (case insensitive). The `basic` view does not include the rules, whereas the `extended` view does.\n","schema":{"type":"string","default":"basic"}}},"schemas":{"DataClass":{"type":"object","required":["id","name","status","allowNullValues","allowEmptyValues","confidenceThreshold","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/DataClassId"},"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"DataClassName":{"type":"string","description":"Name of the `Data Class`.\n"},"DataClassDescription":{"type":"string","description":"The description of the `Data Class`. The maximum length of this field is set to 10,000 characters.\n"},"DataClassStatus":{"type":"string","description":"The status of a `Data Class`.\n\nThis attribute allows a `Data Class` to be `ENABLED` or `DISABLED`.\nAn `DISABLED` `Data Class` will never be used as part of the classification process.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n"},"ColumnNameFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` is considered only if the column name is a full or partial match with the value of this property.\n\nIt is not case sensitive and it is using a text match (not a regular expression).\n\nAny match will make the `Data Class` considered.\n"},"ColumnTypeFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` can only be considered if the column technical data type is part of the values defined for this property.\n\nValid values are: `string`, `double`, `int`, `boolean`, `date`, and `timestamp`.\n"},"AllowNullValues":{"type":"boolean","description":"If the value is set to `true`, null values are considered when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-null values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"AllowEmptyValues":{"type":"boolean","description":"If the value is set to `true`, empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"ConfidenceThreshold":{"type":"integer","description":"The Data Class is only considered in the result if this confidence threshold is reached.","default":0,"minimum":0,"maximum":100},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the `Data Class`.\n","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses/{dataClassId}":{"get":{"tags":["Data Class"],"summary":"Get a Data Class","description":"Get a single `Data Class` by its identifier.\n\nBy default, this endpoint returns a `basic` description of the `Data Classes` that does not include the details of the `Classification Rules`. \nTo retrieve the extended view of the `Data Classes` that includes the `Classification Rules`, you can pass the `view=extended` parameter.\n","operationId":"getDataClass","parameters":[{"$ref":"#/components/parameters/CorrelationId"},{"$ref":"#/components/parameters/DataClassView"}],"responses":{"200":{"description":"`Data Class` successfully retrieved.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClass"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Delete a Data Class

> Delete a \`Data Class\` by its identifier.\
> The \`Classification Rules\` defined for the \`Data Class\` and any \`Data Class\` related \`List Of Values\` will be deleted, \
> and the \`Data Class\` will be removed from all \`Data Class Groups\` referencing it.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}}},"paths":{"/dataClasses/{dataClassId}":{"delete":{"summary":"Delete a Data Class","description":"Delete a `Data Class` by its identifier.\nThe `Classification Rules` defined for the `Data Class` and any `Data Class` related `List Of Values` will be deleted, \nand the `Data Class` will be removed from all `Data Class Groups` referencing it.\n","tags":["Data Class"],"operationId":"deleteDataClass","parameters":[{"$ref":"#/components/parameters/CorrelationId"}],"responses":{"204":{"description":"`Data Class` successfully deleted.\n"},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"}}}}}}
```

## Update a Data Class

> Updates attributes of a \`Data Class\`.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"CorrelationId":{"name":"correlationId","in":"query","description":"Correlation ID used to relate logs occurring in distinct system components.\n","required":false,"schema":{"type":"string","format":"uuid"}}},"schemas":{"ChangeDataClassRequest":{"type":"object","description":"Request to change a `Data Class`.\n\nAll the attributes are optional.\n","properties":{"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"}}},"DataClassName":{"type":"string","description":"Name of the `Data Class`.\n"},"DataClassDescription":{"type":"string","description":"The description of the `Data Class`. The maximum length of this field is set to 10,000 characters.\n"},"DataClassStatus":{"type":"string","description":"The status of a `Data Class`.\n\nThis attribute allows a `Data Class` to be `ENABLED` or `DISABLED`.\nAn `DISABLED` `Data Class` will never be used as part of the classification process.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n"},"ColumnNameFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` is considered only if the column name is a full or partial match with the value of this property.\n\nIt is not case sensitive and it is using a text match (not a regular expression).\n\nAny match will make the `Data Class` considered.\n"},"ColumnTypeFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` can only be considered if the column technical data type is part of the values defined for this property.\n\nValid values are: `string`, `double`, `int`, `boolean`, `date`, and `timestamp`.\n"},"AllowNullValues":{"type":"boolean","description":"If the value is set to `true`, null values are considered when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-null values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"AllowEmptyValues":{"type":"boolean","description":"If the value is set to `true`, empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"ConfidenceThreshold":{"type":"integer","description":"The Data Class is only considered in the result if this confidence threshold is reached.","default":0,"minimum":0,"maximum":100},"DataClass":{"type":"object","required":["id","name","status","allowNullValues","allowEmptyValues","confidenceThreshold","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/DataClassId"},"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the `Data Class`.\n","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses/{dataClassId}":{"patch":{"tags":["Data Class"],"summary":"Update a Data Class","description":"Updates attributes of a `Data Class`.\n","operationId":"changeDataClass","parameters":[{"$ref":"#/components/parameters/CorrelationId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeDataClassRequest"}}}},"responses":{"200":{"description":"`Data Class` successfully changed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClass"}}}},"400":{"description":"Invalid request to update a `Data Class`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Merge Data Classes

> Merge one or multiple \`Data Classes\` into a target \`Data Class\`.\
> \
> Possible error codes that can be returned include:\
> \- 400: When \`dataClassesToBeMerged\` includes the \`Data Class\` defined via \`targetDataClass\`.\
> \- 404: When at least one of the \`Data Classes\` defined by \`dataClassesToBeMerged\` does not exist.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"Data Class","description":"Management of `Data Classes`."}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"MergeDataClassesRequest":{"type":"object","description":"Request to merge `Data Classes` with a specific `Data Class`.\n","required":["targetDataClass","dataClassesToBeMerged"],"properties":{"targetDataClass":{"$ref":"#/components/schemas/TargetDataClassName"},"dataClassesToBeMerged":{"$ref":"#/components/schemas/ToBeMergedDataClassIds"}}},"TargetDataClassName":{"type":"string","description":"The name of a `Data Class`. Following the merge operation, only this specific `Data Class` will remain. If it doesn't exist, a new data class will be created.\n"},"ToBeMergedDataClassIds":{"type":"array","description":"The IDs of the `Data Classes` to be merged. At the end of the merge operation, those `Data Classes` will be deleted.\n","items":{"$ref":"#/components/schemas/DataClassId"},"minItems":1},"DataClassId":{"type":"string","format":"uuid","description":"The ID of the `Data Class`.\n"},"DataClass":{"type":"object","required":["id","name","status","allowNullValues","allowEmptyValues","confidenceThreshold","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/DataClassId"},"name":{"$ref":"#/components/schemas/DataClassName"},"description":{"$ref":"#/components/schemas/DataClassDescription"},"status":{"$ref":"#/components/schemas/DataClassStatus"},"columnNameFilters":{"$ref":"#/components/schemas/ColumnNameFilters"},"columnTypeFilters":{"$ref":"#/components/schemas/ColumnTypeFilters"},"allowNullValues":{"$ref":"#/components/schemas/AllowNullValues"},"allowEmptyValues":{"$ref":"#/components/schemas/AllowEmptyValues"},"confidenceThreshold":{"$ref":"#/components/schemas/ConfidenceThreshold"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"DataClassName":{"type":"string","description":"Name of the `Data Class`.\n"},"DataClassDescription":{"type":"string","description":"The description of the `Data Class`. The maximum length of this field is set to 10,000 characters.\n"},"DataClassStatus":{"type":"string","description":"The status of a `Data Class`.\n\nThis attribute allows a `Data Class` to be `ENABLED` or `DISABLED`.\nAn `DISABLED` `Data Class` will never be used as part of the classification process.\n\nPossible values:\n- `ENABLED`\n- `DISABLED`\n"},"ColumnNameFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` is considered only if the column name is a full or partial match with the value of this property.\n\nIt is not case sensitive and it is using a text match (not a regular expression).\n\nAny match will make the `Data Class` considered.\n"},"ColumnTypeFilters":{"type":"array","items":{"type":"string"},"default":[],"description":"The `Data Class` can only be considered if the column technical data type is part of the values defined for this property.\n\nValid values are: `string`, `double`, `int`, `boolean`, `date`, and `timestamp`.\n"},"AllowNullValues":{"type":"boolean","description":"If the value is set to `true`, null values are considered when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-null values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"AllowEmptyValues":{"type":"boolean","description":"If the value is set to `true`, empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n\nIf the value is set to `false`, only the non-empty values are considered by the classification process and are taken into account when calculating the confidence level of a matching `Data Class`.\n","default":false},"ConfidenceThreshold":{"type":"integer","description":"The Data Class is only considered in the result if this confidence threshold is reached.","default":0,"minimum":0,"maximum":100},"CreatedBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"CreatedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"LastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"LastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the `Data Class`.\n","items":{"$ref":"#/components/schemas/ClassificationRuleWithId"}},"ClassificationRuleWithId":{"description":"A `ClassificationRule` defines a read-only representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/SingleValuedClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRuleWithId"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","REGULAR_EXPRESSION_COLUMN_NAME":"#/components/schemas/RegularExpressionBasedClassificationRuleWithId","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRuleWithId","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRuleWithId","CODE_SET":"#/components/schemas/CodeSetBasedClassificationRuleWithId","LIKE":"#/components/schemas/SingleValuedClassificationRuleWithId","GREATER_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","LESS_THAN":"#/components/schemas/SingleValuedClassificationRuleWithId","EQUAL":"#/components/schemas/SingleValuedClassificationRuleWithId","BETWEEN":"#/components/schemas/BetweenClassificationRuleWithId"}}},"SingleValuedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/SingleValuedClassificationRule"}]},"BaseClassificationRuleWithId":{"type":"object","required":["id","createdBy","createdOn","lastModifiedBy","lastModifiedOn"],"properties":{"id":{"$ref":"#/components/schemas/ClassificationRuleId"},"createdBy":{"$ref":"#/components/schemas/CreatedBy"},"createdOn":{"$ref":"#/components/schemas/CreatedOn"},"lastModifiedBy":{"$ref":"#/components/schemas/LastModifiedBy"},"lastModifiedOn":{"$ref":"#/components/schemas/LastModifiedOn"}}},"ClassificationRuleId":{"type":"string","format":"uuid","description":"The ID of a `Classification Rule`.\n"},"SingleValuedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseSingleValuedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type","dataClassId"],"properties":{"type":{"$ref":"#/components/schemas/RuleType"},"dataClassId":{"$ref":"#/components/schemas/DataClassId"},"description":{"$ref":"#/components/schemas/ClassificationRuleDescription"}}},"RuleType":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `REGULAR_EXPRESSION_COLUMN_NAME`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n  - `CODE_SET`\n  - `LIKE`\n  - `GREATER_THAN`\n  - `LESS_THAN` \n  - `EQUAL`\n  - `BETWEEN`\n\nWhen **creating** or **updating** a `Classification Rule`, the following values are also supported:\n  - `LIST_OF_VALUES_INLINE_ARRAY`\n  - `LIST_OF_VALUES_INLINE_CSV`\n\nThese additional types are automatically converted into `LIST_OF_VALUES` and will be retrieved as such with GET endpoints.\n"},"ClassificationRuleDescription":{"type":"string","description":"A description of a `Classification Rule`.\n"},"BaseSingleValuedClassificationRule":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Value"}}},"Value":{"type":"string","description":"Value used by the `Classification Rule`.\n"},"RegularExpressionBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"}]},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"$ref":"#/components/schemas/RegularExpression"}}},"RegularExpression":{"type":"string","description":"A regular expression. The maximum length of this field is set to 10,000 characters.\n"},"DataTypeBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"}]},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}]},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values`.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"listOfValues":{"$ref":"#/components/schemas/ListOfValues"}}},"ListOfValues":{"type":"object","properties":{"valueCount":{"$ref":"#/components/schemas/ValueCount"},"firstValues":{"$ref":"#/components/schemas/FirstValues"}}},"ValueCount":{"type":"integer","description":"The number of values defined in the rule","default":0,"minimum":0},"FirstValues":{"type":"array","items":{"type":"string"},"maxItems":1000,"description":"Values defined as an array of strings. Contains the first 1,000 values.\n"},"BetweenClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/BetweenClassificationRule"}]},"BetweenClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseBetweenClassificationRule"}]},"BaseBetweenClassificationRule":{"type":"object","properties":{"minValueInclusive":{"$ref":"#/components/schemas/Value"},"maxValueInclusive":{"$ref":"#/components/schemas/Value"}}},"CodeSetBasedClassificationRuleWithId":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRuleWithId"},{"$ref":"#/components/schemas/CodeSetBasedClassificationRule"}]},"CodeSetBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseCodeSetBasedClassificationRule"}]},"BaseCodeSetBasedClassificationRule":{"type":"object","properties":{"codeSet":{"$ref":"#/components/schemas/CodeSet"}}},"CodeSet":{"type":"object","description":"Represents a `Code Set` asset.\n","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/CodeSetId"},"valueCount":{"$ref":"#/components/schemas/ValueCount"}}},"CodeSetId":{"type":"string","format":"uuid","description":"The ID of a `Code Set` asset defined.\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/dataClasses/merge":{"post":{"summary":"Merge Data Classes","description":"Merge one or multiple `Data Classes` into a target `Data Class`.\n\nPossible error codes that can be returned include:\n- 400: When `dataClassesToBeMerged` includes the `Data Class` defined via `targetDataClass`.\n- 404: When at least one of the `Data Classes` defined by `dataClassesToBeMerged` does not exist.\n","operationId":"mergeDataClasses","tags":["Data Class"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MergeDataClassesRequest"}}}},"responses":{"200":{"description":"`Data Classes` have been merged successfully. The resulting `Data Class` is included in the response.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataClass"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-class-management/data-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
